GCLOUD_COMPUTE_BACKEND-SERVICES_REMOVE-BACKEND(1)

NAME

gcloud compute backend-services remove-backend - remove a backend from a backend service

SYNOPSIS

gcloud compute backend-services remove-backend NAME --instance-group=INSTANCE_GROUP [--global | --region=REGION] [--instance-group-region=INSTANCE_GROUP_REGION | --instance-group-zone=INSTANCE_GROUP_ZONE | --zone=ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute backend-services remove-backend is used to remove a backend from a backend service. Before removing a backend, it is a good idea to "drain" the backend first. A backend can be drained by setting its capacity scaler to zero through 'gcloud compute backend-services edit'.

POSITIONAL ARGUMENTS

    NAME
        The name of the backend service.

REQUIRED FLAGS

    --instance-group=INSTANCE_GROUP
        The name or URI of a Google Cloud Instance Group.

OPTIONAL FLAGS
At most one of these may be specified:

    --global
        If provided, it is assumed the backend service is global.

    --region=REGION
        The region of the backend service to operate on. Overrides the default compute/region property value for this command invocation.

At most one of these may be specified:

    --instance-group-region=INSTANCE_GROUP_REGION
        The region of the instance group to remove from the backend service. If not specified, you will be prompted to select a region. A list of regions can be fetched by running:
        $ gcloud compute regions list
    Overrides the default compute/region property value for this command invocation.

    --instance-group-zone=INSTANCE_GROUP_ZONE
        The zone of the instance group to remove from the backend service. If not specified, you will be prompted to select a zone. A list of zones can be fetched by running:
        $ gcloud compute zones list
    Overrides the default compute/zone property value for this command invocation.

    --zone=ZONE
        The zone of the instance group to remove from the backend service. DEPRECATED, use --instance-group-zone flag instead. Overrides the default compute/zone property value for this command invocation.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.